%define name    gmetadom
%define version 0.2.6
%define release %mkrel 2

%define major 0
%define libname  %mklibname gmetadom_gdome_cpp_smart %major

Summary: C++ Wrapper for GDOME
Name: %name
Version: %version
Release: %release
Group:  System/Libraries
License:   LGPL
URL:  http://gmetadom.sourceforge.net/
Source:   %{name}-%{version}.tar.bz2
Patch: gmetadom-0.2.3-gcc4.1.patch.bz2
BuildRequires: ocaml
BuildRequires: gdome2-devel
BuildRequires: libgdome-devel
BuildRoot: %_tmppath/%{name}-%{version}

%description
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname
Summary: CPP Libraries for gdome2
Group: System/Libraries

%description -n %libname
 GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n %libname-devel
Summary: Libraries and include files for gdome2
Group:    Development/C++
Requires: %libname = %{version}
Requires: glib2-devel >= 2.4.4 libgdome-devel libxml2-devel >= 2.6.11
Provides: %name-devel  = %version-%release
Provides: libgmetadom_gdome_cpp_smart-devel = %version-%release

%description -n %libname-devel
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

%package -n ocaml-%{name}
Group: Development/Other
Summary: Ocaml bindings for %name
Obsoletes:  %{name}-ocaml

%description -n ocaml-%{name}
GMetaDOM is a collection of libraries, each library providing a
DOM implementation. Each DOM implementation is generated
automatically by means of XSLT stylesheets.

This are the Ocaml bindings of GMetaDOM.

%prep
rm -rf %{buildroot}
%setup -qn %{name}-%{version}

%build
#gw we have to disable libtoolize, as the ocaml path doesn't build otherwise
%define __libtoolize true
%configure2_5x --with-ocaml-lib-prefix=%{ocaml_sitelib}

%install
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-, root, root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HISTORY INSTALL LICENSE
%_includedir/*
%_libdir/pkgconfig/*.pc
%_libdir/lib*.so
%_libdir/*.a
%_libdir/*.la

%files -n ocaml-%{name}
%defattr(-, root, root)
%{ocaml_sitelib}/gdome2
%{ocaml_sitelib}/stublibs/*


%changelog
* Mon Mar 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-2mdv2008.1
+ Revision: 189766
- rebuild for latest ocaml

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.6-1mdv2008.1
+ Revision: 102991
- New release 0.2.6

* Mon Oct 29 2007 Jérôme Soyer <saispo@mandriva.org> 0.2.5-6mdv2008.1
+ Revision: 102978
- New release

* Sun Sep 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.5-1mdv2008.1
+ Revision: 83938
- make ocaml bindings compliant with ocaml policy

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix BR
    - Add gdome2
    - New release 0.2.5
    - Import gmetadom



* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 0.2.4-1mdv2007.0
- New release 0.2.4
- Remove patch1

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.2.3-4mdv2007.0
- fix build

* Mon Apr 24 2006 Pixel <pixel@mandriva.com> 0.2.3-3mdk
- rebuild for new ocaml

* Mon Mar 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-2mdk
- rebuild for new ocaml
- use mkrel

* Thu Jul 21 2005 Gtz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Wed Nov 10 2004 Jerome Soyer <saispo@mandrake.org> 0.2.1-1mdk
- 0.2.1

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-5mdk
- disable libtoolize
- fix deps
- new g++

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-3mdk
- rebuild for new rpm

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-2mdk
- add the version and release number to the devel provides

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.8-1mdk
- fix release tag
- source URL
- from Charles A Edwards <eslrahc@bellsouth.net>
  - release 0.1.8	
  - patch for gcc-33
  - update file list
 
* Fri May  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.6-1mdk
- add ocaml subpackage
- dir ownership
- from  Charles A Edwards <eslrahc@bellsouth.net>:
  - initial mdk release
